Subject: RE: one size doesn' fit all (was Re: other requirement? (was Re:[RAM] Traffic Engineering

From: "Azinger, Marla" <[email-masked]>
Date: Thu, 4 Jan 2007 13:21:48 -0500

Comments to the email string below:

PI space became a threat due to public remarks on how it "can" be utilized.  There is a difference between the Intent you display below and the comments put forth by many that "everyone" should apply for PI in order to get out from under the so called tyrany of upstream providers.  If everyone were to listen to the push for PI usage for "ALL", then this policy does create yet a larger issue than the one already at hand. I dont believe malice was the intent of this policy but it does highlight a problem with multihoming and traffic engineering that we need to address.

And no, I dont think statics show a land rush for PI space as of yet, but it is early.

~Marla Azinger

-----Original Message-----
From: Marshall Eubanks [mailto:[email-masked]]
Sent: Thursday, January 04, 2007 10:04 AM
To: David Meyer
Cc: [email-masked]
Subject: Re: one size doesn' fit all (was Re: other requirement? (was
Re:[RAM] Traffic Engineering

On Jan 4, 2007, at 12:43 PM, David Meyer wrote:

>> The sudden tolerance for PI space gratifies/puzzles me, though - I
>> thought it was anathema, and that folks here aren't in the main
>> amused that PI space is being allocated.  If PI space is now
>> tolerable, then we can all go home and call it a day, and wait on
>> Moore's Law (along with open chequebooks) to save us.  I doubt that's
>> the case, though.

As one of the instigators of this "tolerance" (ARIN 2002-3 and  
2005-1), I think that it is widely misunderstood.

The contentions were that
1.) there are some small entities that needed to multi-home, and thus  
needed (small amounts of)
PI space,
2.) that they were doing it anyway, and actually injecting at least  
as much and probably more into the routing tables than they would  
under its adoption, and also having to deal with being black-holed  
and other problems on an
ad hoc basis and
3.) _that this was a relatively small usage that would have a small  
to negligible effect on the actual routing table expansion_.

To date, I think that all three contentions have been proven by  
practice and this has worked rather well. This is discussed from time  
to time on the ARIN PPML, and AFAIK no data has been introduced to  
the contrary. This was (in my opinion) not an attempt to subvert the  
system, but rather to make it work better for a wider class of users.

If you want to claim that this is a general threat, please produce  
data supporting your assertions.

Regards
Marshall

>
> 	I don't know who has "tolerance" for the current RIR
> 	policies; there is just little choice, as we haven't
> 	built a technology that avoids teh "tyranny of CIDR"
> 	(Vix's term, referring to CIDR provider lock). BTW, its
> 	far from clear that Moore's Law will save anything;
> 	that's different than saying that we can build <X> (for
> 	some X; well, than and the fact that Moore's Law just an
> 	empirical observation).
>
> 	In any event, the Moore's Law "line of reasoning" turns
> 	out to be such a massive rathole that I'd prefer we stay
> 	away from that one (again, to the extent its possible).
>
> 	--dmm
> _______________________________________________
> RAM mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ram

_______________________________________________
RAM mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ram

_______________________________________________
RAM mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ram